# Class "GEOData"

A virtual class for holding GEO samples, platforms, and datasets

## Objects from the Class

Objects can be created by calls of the form `new("GEOData", ...)`.

## Slots

`header`:
  Object of class `"list"` containing metadata

## Methods

Accession
  `signature(object = "GEOData")`: returns the GEO acccession for the current object
Columns
  `signature(object = "GEOData")`: returns the column descriptions for the current object
Meta
  `signature(object = "GEOData")`: returns the metadata for the current object
Table
  `signature(object = "GEOData")`: returns the "Table" for the current object
dataTable
  `signature(object = "GEOData")`: returns the dataTable (column info and data) for the current object
show
  `signature(object = "GEOData")`: a convenience method for showing a GEO object

## See also

`GDS-class`, `GPL-class`, `GSM-class`, `GEODataTable-class`,

## Author

Sean Davis